Read billing state for a private job or paid pooled-sync gateway call.
GET
/v1/billing/jobs/{job_id}
Authentication
API Key (header: X-B3IQ-Customer-ID) API Key (header: X-B3IQ-Customer-Token)
Path Parameters
job_id
string
required
path
Responses
200
Authenticated billing status without encrypted request/response bodies.
application/jsonjob_id
string
node_id
string
model_id
string
status
string
billing_status
string
customer_id
string
quoted_price_wei
string
reserved_price_wei
string
payout_price_wei
string
receipt_hash
string
created_at
string (date-time)
completed_at
string (date-time)
default
B3IQ-native problem response.
curl -X GET 'https://{controlPlaneHost}/v1/billing/jobs/string' \ -H 'X-B3IQ-Customer-ID: YOUR_API_KEY'
const response = await fetch('https://{controlPlaneHost}/v1/billing/jobs/string', { method: 'GET', headers: { "X-B3IQ-Customer-ID": "YOUR_API_KEY" }});const data = await response.json();console.log(data);
200
Response
{ "job_id": "<string>", "node_id": "<string>", "model_id": "<string>", "status": "<string>", "billing_status": "<string>", "customer_id": "<string>", "quoted_price_wei": "<string>", "reserved_price_wei": "<string>", "payout_price_wei": "<string>", "receipt_hash": "<string>", "created_at": "2024-01-01T00:00:00Z", "completed_at": "2024-01-01T00:00:00Z"}
API Playground
Try this endpoint
GET
/v1/billing/jobs/{job_id}
